Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with
or
.
Download ZIP
Newer
Older
100644 674 lines (555 sloc) 31.303 kb
6fbbe01 @FooBarWidget Fixed some mod_rewrite compatibility problems. Fixes issue #563.
FooBarWidget authored
1 Release 3.0.14
2 --------------
3
4 * [Apache] Fixed a long-standing mod_rewrite-related problem.
5 Some mod_rewrite rules would not work, but it depends on the exact
6 mod_rewrite configuration so it would work for some people but not
7 for others. Issue #563. Thanks a lot to cedricmaion for providing
419881c @FooBarWidget Update credits
FooBarWidget authored
8 information on the nature of the bug and to peter.nash55 for
9 providing a VM that allowed us to reproduce the problem.
6fbbe01 @FooBarWidget Fixed some mod_rewrite compatibility problems. Fixes issue #563.
FooBarWidget authored
10
11
c213853 @FooBarWidget Fix compilation problems on OpenIndiana and Solaris 11. Fixes issue #…
FooBarWidget authored
12 Release 3.0.13
13 --------------
14
33003ea @FooBarWidget Upgrade preferred Nginx version to 1.2.1
FooBarWidget authored
15 * [Nginx] Preferred Nginx version upgraded to 1.2.1.
5b42439 @FooBarWidget Fix compilation problems on FreeBSD 6.4. Fixes issue #766.
FooBarWidget authored
16 * Fixed compilation problems on FreeBSD 6.4. Fixes issue #766.
c213853 @FooBarWidget Fix compilation problems on OpenIndiana and Solaris 11. Fixes issue #…
FooBarWidget authored
17 * Fixed compilation problems on GCC >= 4.6.
18 * Fixed compilation problems on OpenIndiana and Solaris 11. Fixes issue #742.
ce68ed5 @FooBarWidget Update NEWS.
FooBarWidget authored
19 * Union Station-related bug fixes.
9c42ff5 @FooBarWidget Credit Ian Ehlert.
FooBarWidget authored
20 * Sending the soft termination signal twice to application processes no longer makes them crash. Patch contributed by Ian Ehlert.
c213853 @FooBarWidget Fix compilation problems on OpenIndiana and Solaris 11. Fixes issue #…
FooBarWidget authored
21
22
7031b2d @FooBarWidget Fix compatibility with Nginx < 1.0.10.
FooBarWidget authored
23 Release 3.0.12
24 --------------
25
1a7a15a @FooBarWidget Support Apache 2.4 and the event MPM.
FooBarWidget authored
26 * [Apache] Support Apache 2.4. The event MPM is now also supported.
247e5b7 @FooBarWidget Bump preferred Nginx version to 1.0.15.
FooBarWidget authored
27 * [Nginx] Preferred Nginx version upgraded to 1.0.15.
607a613 @FooBarWidget Update NEWS.
FooBarWidget authored
28 * [Nginx] Preferred PCRE version upgraded to 8.30.
04b9c59 @FooBarWidget Upgrade preferred Nginx version to 1.0.11 and preferred PCRE version …
FooBarWidget authored
29 * [Nginx] Fixed compatibility with Nginx < 1.0.10.
7b45e32 @FooBarWidget When installing Nginx, enable http_gzip_static_module by default.
FooBarWidget authored
30 * [Nginx] Nginx is now installed with http_gzip_static_module by default.
36ea58a @FooBarWidget Update NEWS and show at least 'Phusion Passenger' in the Nginx Server…
FooBarWidget authored
31 * [Nginx] Fixed a memory disclosure security problem.
32 The issue is documented at http://www.nginx.org/en/security_advisories.html
33 and affects more modules than just Phusion Passenger. Users are advised
34 to upgrade as soon as possible. Patch submitted by Gregory Potamianos.
35 * [Nginx] passenger_show_version_in_header now hides the Phusion Passenger version number from the 'Server:' header too.
36 Patch submitted by Gregory Potamianos.
94983db @FooBarWidget Fix a /proc deprecation warning on Linux kernel >= 3.0
FooBarWidget authored
37 * Fixed a /proc deprecation warning on Linux kernel >= 3.0.
7031b2d @FooBarWidget Fix compatibility with Nginx < 1.0.10.
FooBarWidget authored
38
39
7b054dc @FooBarWidget Bump version to 3.0.11 and update NEWS.
FooBarWidget authored
40 Release 3.0.11
41 --------------
42
43 * Fixed a compilation problem on platforms without alloca.h, such as FreeBSD 7.
ff9f2b8 @FooBarWidget Fix a typo
FooBarWidget authored
44 * Improved performance and solved some warnings on Xen systems by compiling
1e9aee4 @FooBarWidget Update NEWS
FooBarWidget authored
45 with `-mno-tls-direct-seg-refs`. Patch contributed by Michał Pokrywka.
7b054dc @FooBarWidget Bump version to 3.0.11 and update NEWS.
FooBarWidget authored
46
47
9b2c42f @FooBarWidget Update NEWS
FooBarWidget authored
48 Release 3.0.10
49 --------------
50
51 * [Nginx] Dropped support for Nginx versions older than 1.0.0
b6e4cd1 @FooBarWidget Update NEWS
FooBarWidget authored
52 * [Nginx] Fixed support for Nginx 1.1.4+
53 * [Nginx, Standalone] Upgraded default Nginx version to 1.0.10
54 The previously default version was 1.0.5.
9b2c42f @FooBarWidget Update NEWS
FooBarWidget authored
55 * [Nginx] New option passenger_max_requests
56 This is equivalent to the PassengerMaxRequests option in the Apache
57 version: Phusion Passenger will automatically shutdown a worker process
58 once it has processed the specified number of requests.
59 Contributed by Paul Kmiec.
60 * [Apache] New option PassengerBufferResponse
61 The Apache version did not buffer responses. This could block the Ruby
62 worker process in case of slow clients. We now enable response buffering
63 by default. It can be turned off through this option. Feature contributed
64 by Ryo Onodera.
65 * Fixed remaining Ruby 1.9.3 compatibility problems
66 We already supported Ruby 1.9.3 since 3.0.8, but due to bugs in Ruby
67 1.9.3's build system Phusion Passenger would fail to detect Ruby 1.9.3
68 features on some systems. Fixes issue #714.
6401566 @FooBarWidget Fix a typo in NEWS
FooBarWidget authored
69 * Fixed a bug in PassengerPreStart
9b2c42f @FooBarWidget Update NEWS
FooBarWidget authored
70 A regression was introduced in 3.0.8, causing the prespawn script to
71 connect to the host name instead of to 127.0.0.1. Fix contributed by
72 Andy Allan.
6d972a6 @FooBarWidget Update NEWS
FooBarWidget authored
73 * Fixed compatibility with GCC 4.6
74 Affected systems include Ubuntu 11.10.
9b2c42f @FooBarWidget Update NEWS
FooBarWidget authored
75 * Fixed various compilation problems.
76 * Fixed some Ruby 1.9 encoding problems.
77 * Fixed some Ruby 1.9.3 deprecation warnings.
78
79
b367914 @FooBarWidget Update NEWS.
FooBarWidget authored
80 Release 3.0.9
81 -------------
82
83 * [Nginx] Fixed a NULL pointer crash that occurs on HTTP/1.0 requests
84 when the Host header isn't given.
85 * Fixed deprecation warnings on RubyGems >= 1.6.
86 * Improved Union Station support stability.
87
88
8a0fd40 @FooBarWidget Update NEWS.
FooBarWidget authored
89 Release 3.0.8
90 -------------
91
92 * [Nginx] Upgraded preferred Nginx version to 1.0.5.
93 * [Nginx] Fixed various compilation problems on various platforms.
94 * [Nginx] We now ensure that SERVER_NAME is equal to HTTP_HOST without the port part.
95 This is needed for Rack compliance. By default Nginx sets SERVER_NAME to
96 whatever is specified in the server_name directive, but that's not necessarily
97 the correct value. This fixes, for example, the use of the 'map' statement
98 in config.ru.
99 * [Nginx] Added the options passenger_buffer_size, passenger_buffers and passenger_busy_buffers_size.
100 These options are similar to proxy_module's similarly named options. You can
101 use these to e.g. increase the maximum header size limit.
102 * [Nginx] passenger_pre_start now supports virtual hosts that listen on Unix domain sockets.
103 * [Apache] Fixed the pcre.h compilation problem.
104 * [Standalone] Fixed 'passenger stop'.
105 It didn't work properly because it kept waiting for 'tail' to exit.
106 We now properly terminate 'tail' as well.
107 * Fixed compatibility with Rake 0.9.
108 * Fixed various Ruby 1.9 compatibility issues.
109 * Various documentation improvements.
110 * New Union Station filter language features.
111 It now supports status codes and response times.
112 Please refer to https://engage.unionstationapp.com/help#filtering
113 for more information.
114
115
33964ce @FooBarWidget Update NEWS
FooBarWidget authored
116 Release 3.0.7
117 -------------
118
119 * Fixed a bug passenger-install-apache2-module. It could crash on
120 some systems due to a typo in the code.
121 * Upgraded preferred Nginx version to 1.0.0.
122 * Phusion Passenger Standalone now pre-starts application processes
123 at startup instead of doing that at the first request.
124 * When sending data to Union Station, the HTTP status code is now also
125 logged.
126 * Various Union Station-related stability improvements.
127 * The Linux OOM killer was previously erroneously disabled for all
128 Phusion Passenger processes, including application processes. The
129 intention was to only disable it for the Watchdog. This has been
130 fixed, and the Watchdog is now the only process for which the OOM
131 killer is disabled.
132 * Fixed some compilation problems on OpenBSD.
133 * Due to a typo, the dependency on file-tail was not entirely removed
134 in 3.0.6. This has now been fixed.
135
136
d697d9f @FooBarWidget Update NEWS and bump version to 3.0.6.
FooBarWidget authored
137 Release 3.0.6
138 -------------
139
140 * Fixed various compilation problems such as XCode 4 support and OpenBSD support.
141 * Fixed various Union Station-related stability issues.
142 * Fixed an issue with host name detection on certain platforms.
143 * Improved error logging in various parts.
144 * The dependency on the file-tail library has been removed.
145 * During installation, check whether /tmp is mounted with 'noexec'.
146 Phusion Passenger's installer relies on /tmp *not* being mounted
147 with 'noexec'. If it is then the installer will now show a helpful
148 error message instead of bailing out in a confusing manner. Users
149 can now tell the installer to use a different directory for storing
150 temporary files by customizing the $TMPDIR environment variable.
151 * Phusion Passenger Standalone can now run Rackup files that are not named 'config.ru'.
152 The filename can be passed through the command line using the -R option.
153
154
c4d41e7 @FooBarWidget Update NEWS.
FooBarWidget authored
155 Release 3.0.5
156 -------------
157
6d413ea @FooBarWidget Rename PassengerAnalytics/passenger_analytics to UnionStationSupport/…
FooBarWidget authored
158 * [Apache] Fixed Union Station process statistics collection
159 Union Station users that are using Apache may notice that no process
160 information show up in Union Station. This is because of a bug in
161 Phusion Passenger's Apache version, which has now been fixed.
162 * [Apache] PassengerAnalytics has been renamed to UnionStationSupport
163 This option has been renamed for consistency reasons.
164 * [Nginx] passenger_analytics has been renamed to union_station_support
165 This option has been renamed for consistency reasons.
65bc50e @FooBarWidget Fix typo.
FooBarWidget authored
166 * Fixed Union Station data sending on older libcurl versions
c4d41e7 @FooBarWidget Update NEWS.
FooBarWidget authored
167 Some Union Station users have reported that their data don't show up.
168 Upon investigation this turned out to be a compatibility with older
169 libcurl versions. Affected systems include all RHEL 5 based systems,
170 such as RHEL 5.5 and CentOS 5.5. We've now fixed compatibility
171 with older libcurl versions.
7e7aa94 @FooBarWidget Update NEWS about Union Station filter language support.
FooBarWidget authored
172 * Added support for the Union Station filter language
173 This language can be used to limit the kind of data that's sent to
174 Union Station. Please read
175 https://engage.unionstationapp.com/help#filtering for details.
c4d41e7 @FooBarWidget Update NEWS.
FooBarWidget authored
176 * Fixed a PassengerMaxPoolSize/passenger_max_pool_size violation bug
177 People who host a lot of different applications on Phusion Passenger
178 may notice that it sometimes spawns more processes than is allowed
179 by PassengerMaxPoolSize/passenger_max_pool_size. This has been fixed.
180
181
4e1e3b8 @FooBarWidget Add release notes for 3.0.4.
FooBarWidget authored
182 Release 3.0.4
183 -------------
184
185 * [Apache] Changed mod_dir workaround hook priority
186 Phusion Passenger temporarily disables mod_dir on all Phusion
187 Passenger-handled requests in order to avoid conflicts. In order to do this
188 it registers some Apache hooks with the APR_HOOK_MIDDLE priority, but it
189 turned out that this breaks some other modules like mod_python. The hook
190 priority has been changed to APR_HOOK_LAST to match mod_dir's hook
191 priorities. Issue reported by Jay Freeman.
192 * Added support for Union Station: http://www.unionstationapp.com/
193 * Some error messages have been improved.
194
195
9962c3a @FooBarWidget Update NEWS and bump version to 3.0.3.
FooBarWidget authored
196 Release 3.0.3
197 -------------
198
199 * [Nginx] Preferred Nginx version upgraded to 0.8.54
200 The previous preferred version was 0.8.53.
201 * PATH_INFO and REQUEST_URI now contain the original escaped URI
202 Phusion Passenger passes the URI, as reported by Apache/Nginx, to
203 application processes through the PATH_INFO and REQUEST_URI variables.
204 These variables are supposed to contain the original, unescaped URI, e.g.
205 /clubs/%C3%BC. Both Apache and Nginx thought that it would be a good idea
206 to unescape the URI before passing it to modules like Phusion Passenger,
207 thereby causing PATH_INFO and REQUEST_URI to contain the unescaped URI,
208 e.g. /clubs/ü. This causes all sorts of encoding problems. We now manually
209 re-escape the URI when setting PATH_INFO and REQUEST_URI. Issue #404.
210 * The installer no longer detects directories as potential commands
211 Previously the installer would look in $PATH for everything that's
212 executable, including directories. If one has /usr/lib in $PATH
213 and a directory /usr/lib/gcc exists then the installer would recognize
214 /usr/lib/gcc as the compiler. We now explicitly check whether the item
215 is also a file.
216 * PseudoIO now responds to #to_io
217 Phusion Passenger sets STDERR to a PseudoIO object in order to capture
218 anything written to STDERR during application startup. This breaks
219 some libraries which expect STDERR to respond to #to_io. This has now
220 been fixed. Issue #607.
221 * Fixed various other minor bugs
222 See the git commit log for details.
223
224
5b30a81 @FooBarWidget Update NEWS.
FooBarWidget authored
225 Release 3.0.2
226 -------------
227
228 * [Nginx] Fixed compilation problems
229 The Nginx compilation process was broken due to not correctly reverting
230 the working directory of the Nginx configure script. This has been fixed:
231 issue #595.
60e4cca @FooBarWidget [Nginx] Fix crash if passenger_root refers to a nonexistant directory.
FooBarWidget authored
232 * [Nginx] Fixed crash if passenger_root refers to a nonexistant directory
233 Issue #599.
5b30a81 @FooBarWidget Update NEWS.
FooBarWidget authored
234 * Fixed compilation problems on NetBSD
235 There was a typo in a NetBSD-specific fcntl() call. It also turns out that
236 NetBSD doesn't support some ISO C99 math functions like llroundl(); this
237 has been worked around by using other functions. Issue #593.
9a81106 @FooBarWidget Fixed file descriptor closing issues on FreeBSD: issue #597.
FooBarWidget authored
238 * Fixed file descriptor closing issues on FreeBSD
239 Phusion Passenger child processes didn't correct close file descriptors
240 on FreeBSD because it queries /dev/fd to do that. On FreeBSD /dev/fd
241 only returns meaningful results if fdescfs is mounted, which it isn't
242 by default. Issue #597.
5b30a81 @FooBarWidget Update NEWS.
FooBarWidget authored
243
244
c665f9f @FooBarWidget Update NEWS.
FooBarWidget authored
245 Release 3.0.1
246 -------------
247
ccef2aa @FooBarWidget Introduce a release mode which can compile Phusion Passenger more qui…
FooBarWidget authored
248 * MUCH faster compilation
249 We've applied code aggregation techniques, allowing Phusion Passenger
250 to be compiled much quicker now. For example, compiling the Nginx
d0b8b61 @FooBarWidget Document Apache module compilation speedup.
FooBarWidget authored
251 component (not Nginx itself) on a MacBook Pro now takes only 29
252 seconds instead of 51 seconds, an improvement of 75%! Compiling the
253 Apache module on a slower Dell Inspiron now takes 39 seconds instead of
254 1 minute 22 seconds, or 110% faster!
c665f9f @FooBarWidget Update NEWS.
FooBarWidget authored
255 * Fixed malfunction after web server restart
256 On Linux systems that have a non-standard filesystem on /tmp, Phusion
257 Passenger could malfunction after restarting the web server because of
258 a bug that's only triggered on certain filesystems. Issue #569.
259 * Boost upgraded to version 1.44.0.
260 We were on 1.42.0.
261 * Much improved startup error messages
262 Phusion Passenger performs many extensive checks during startup to ensure
263 integrity. However the error message in some situation could be vague.
264 These startup error messages have now been improved dramatically, so that
265 if something goes wrong during startup you will now more likely know why.
266 * Curl < 7.12.1 is now supported
267 The previous version fails to compile with Curl versions earlier than
534950b @FooBarWidget Fix a potential compilation warning and update NEWS.
FooBarWidget authored
268 7.12.1. Issue #556.
c665f9f @FooBarWidget Update NEWS.
FooBarWidget authored
269 * passenger-make-enterprisey fixed
270 This is the command that people can run after donating. It allows people
271 to slightly modify Phusion Passenger's display name as a joke. In 3.0.0 it
272 was broken because of a typo. This has been fixed.
51bf666 @FooBarWidget Get rid of passenger-stress-test.
FooBarWidget authored
273 * Removed passenger-stress-test
274 This tool was used during the early life of Phusion Passenger for stress
275 testing websites. Its performance has never been very good and there are
276 much better tools for stress testing, so this tool has now been removed.
c665f9f @FooBarWidget Update NEWS.
FooBarWidget authored
277 * [Apache] RailsEnv and RackEnv configuration options are now equivalent
278 In previous versions, RailsEnv only had effect on Rails 1 and Rails 2 apps
279 while RackEnv only had effect on Rack apps. Because Rails 3 apps are
280 considered Rack apps, setting RailsEnv had no effect on Rails 3 apps.
281 Because this is confusing to users, we've now made RailsEnv and RackEnv
534950b @FooBarWidget Fix a potential compilation warning and update NEWS.
FooBarWidget authored
282 equivalent. Issue #579.
c665f9f @FooBarWidget Update NEWS.
FooBarWidget authored
283 * [Nginx] Fixed compilation problems on systems with unpowerful shells
0999e3d @FooBarWidget Fix typo.
FooBarWidget authored
284 Most notably Solaris. Its default shell does not support some basic
c665f9f @FooBarWidget Update NEWS.
FooBarWidget authored
285 constructs that we used in the Nginx configure script.
286 * [Nginx] Upgraded default Nginx version to to 0.8.53
287 The previous default was 0.8.52.
5e7722b @FooBarWidget passenger_enabled now only accepts 'on' or 'off' values.
FooBarWidget authored
288 * [Nginx] passenger_enabled now only accepts 'on' or 'off' values
289 Previously it would recognize any value not equal to 'on' as meaning
290 'off'. This caused confusion among users who thought they could also
291 specify 'true', so we now throw a proper error if the value is
292 unrecognized. Fixes issue #583.
c665f9f @FooBarWidget Update NEWS.
FooBarWidget authored
293
294
8243d6d @FooBarWidget Update NEWS
FooBarWidget authored
295 Release 3.0.0
296 -------------
f75f12f @FooBarWidget Bump version to 2.9.4 and update NEWS.
FooBarWidget authored
297
3d6f5ef @FooBarWidget Update NEWS
FooBarWidget authored
298 This is a major release with many changes. Please read our blog for details.
9e15dbd @FooBarWidget Begin porting passenger-status to the new infrastructure.
FooBarWidget authored
299
20005e1 @FooBarWidget Merge branch 'master' into refactoring
FooBarWidget authored
300
1857301 @FooBarWidget Bump version number to 2.2.15 and update NEWS.
FooBarWidget authored
301 Release 2.2.15
302 --------------
303
304 * [Apache] Fixed incorrect temp dir cleanup by passenger-status
305 On some systems, running passenger-status could print the following
306 message:
307
308 *** Cleaning stale folder /tmp/passenger.1234
309
310 ...after which Phusion Passenger breaks because that directory is
311 necessary for it to function properly. The cause of this problem
312 has been found and has been fixed.
e795d48 @FooBarWidget Don't be too strict on client Content-Length, it could be wrong becau…
FooBarWidget authored
313 * [Apache] Fixed some upload handling problems
314 Previous versions of Phusion Passenger check whether the size of
315 the received upload data matches the contents of the Content-Length
316 header as received by the client. It turns out that there could
317 be a mismatch e.g. because of mod_deflate input compression, so
318 we can't trust Content-Length anyway and we're being too strict.
319 The check has now been removed.
2265239 @FooBarWidget Install Nginx 0.7.67 and PCRE 8.02 by default.
FooBarWidget authored
320 * [Nginx] Fixed compilation issues with Nginx >= 0.7.66
e973b93 @FooBarWidget Fix compilation issues with Nginx 0.7.66 and make that version the de…
FooBarWidget authored
321 Thanks to Potamianos Gregory for reporting this issue. Issue #500.
2265239 @FooBarWidget Install Nginx 0.7.67 and PCRE 8.02 by default.
FooBarWidget authored
322 * [Nginx] Default Nginx version changed to 0.7.67
e973b93 @FooBarWidget Fix compilation issues with Nginx 0.7.66 and make that version the de…
FooBarWidget authored
323 The previous default version was 0.7.65.
946dc2e @FooBarWidget Don't preload popular libraries, it conflicts with Bundler.
FooBarWidget authored
324 * Fixed more Bundler problems
325 Previous versions of Phusion Passenger would preload some popular
326 libraries such as mysql and sqlite3 in order to utilize copy-on-write
327 optimizations better. However this behavior conflicts with Bundler
328 so we've removed it.
1857301 @FooBarWidget Bump version number to 2.2.15 and update NEWS.
FooBarWidget authored
329
330
9c17d46 @FooBarWidget Update NEWS and bump version to 2.2.14
FooBarWidget authored
331 Release 2.2.14
332 --------------
333
334 * Added support for Rubinius
335 Patch contributed by Evan Phoenix.
7413b57 @FooBarWidget Update NEWS.
FooBarWidget authored
336 * Fixed a mistake in the SIGQUIT backtrace message.
337 Patch contributed by Christoffer Sawicki.
73f59cd @FooBarWidget Increase Nginx HelperServer thread stack space on FreeBSD.
FooBarWidget authored
338 * [Nginx] Fix a localtime() crash on FreeBSD
339 This was caused by insufficient stack space for threads. Issue #499.
9c17d46 @FooBarWidget Update NEWS and bump version to 2.2.14
FooBarWidget authored
340
341
30296ca @FooBarWidget Update NEWS, bump version to 2.2.13.
FooBarWidget authored
342 Release 2.2.13
343 --------------
344
345 * Fixed some Rails 3 compatibility issues that were recently introduced.
346 * Fixed a typo that causes config/setup_load_paths.rb not to be loaded
347 correctly.
348
349
38db2e2 @FooBarWidget Bump version to 2.2.12 and update NEWS.
FooBarWidget authored
350 Release 2.2.12
351 --------------
352
353 * Improved Bundler support.
354 Previous versions might not be able to correctly load gems bundled
3fc6071 @FooBarWidget Document Bundler support
FooBarWidget authored
355 by Bundler. We've also documented how our Bundler support works and
356 how to override our support if you need special behavior.
357 Please refer to the Phusion Passenger Users Guide, section
358 "Bundler support".
775e220 @FooBarWidget Fix Nginx "passenger_user_switching off" permission problems: issue #…
FooBarWidget authored
359 * Worked around some user account handling bugs in Ruby. Issue #192.
5a4d113 @FooBarWidget Update NEWS
FooBarWidget authored
360 * Fixed some Ruby 1.9 tempfile.rb compatibility problems.
73ee6b0 @FooBarWidget Fixed some compilation problems on some ARM Linux platforms.
FooBarWidget authored
361 * Fixed some compilation problems on some ARM Linux platforms.
94f3aa8 @FooBarWidget Suppress bogus error messages when mod_xsendfile is being used
FooBarWidget authored
362 * [Apache] Suppress bogus mod_xsendfile-related error messages.
363 When mod_xsendfile is being used, Phusion Passenger might print
364 bogus error messages like "EPIPE" or "Apache stopped forwarding
365 the backend's response" to the log file. These messages are
366 normal, are harmless and can be safely ignored, but they pollute
367 the log file. So in this release we've added code to suppress
6b39c23 @FooBarWidget Note mod_xsendfile issue number.
FooBarWidget authored
368 these messages when mod_xsendfile is being used. Issue #474.
775e220 @FooBarWidget Fix Nginx "passenger_user_switching off" permission problems: issue #…
FooBarWidget authored
369 * [Nginx] Fixed "passenger_user_switching off" permission problems
370 If Nginx is running as root and passenger_user_switching is turned
371 off, then Phusion Passenger would fail to initialize because of
372 a permission problem. This has been fixed. Issue #458.
745938a @FooBarWidget Fix Nginx >= 0.8.38 support. Thanks Sergey A. Osokin
FooBarWidget authored
373 * [Nginx] Nginx >= 0.8.38 is now supported.
c271480 @FooBarWidget Default to installing Nginx 0.7.65
FooBarWidget authored
374 Thanks to Sergey A. Osokin for reporting the problem.
375 * [Nginx] passenger-install-nginx-module upgraded
376 It now defaults to installing Nginx 0.7.65 instead of 0.7.64.
38db2e2 @FooBarWidget Bump version to 2.2.12 and update NEWS.
FooBarWidget authored
377
378
119309e @FooBarWidget Update NEWS and bump version to 2.2.11.
FooBarWidget authored
379 Release 2.2.11
380 --------------
381
382 * This release fixes a regression that appeared in 2.2.10 which only
383 affects Apache. When under high load, Apache might freeze and stop
6d961e7 @FooBarWidget Merge branch 'master' into refactoring
FooBarWidget authored
384 responding to requests. It is caused by a race condition which is
119309e @FooBarWidget Update NEWS and bump version to 2.2.11.
FooBarWidget authored
385 why it escaped our last release testing.
386
387 This problem does not affect Nginx; you only have to upgrade if
388 you're using Apache.
389
390 http://groups.google.com/group/phusion-passenger/t/d5bb2f17c8446ea0
391
392
e07dfa0 @FooBarWidget Fix some compilation problems on newer GCC versions. Issue #430.
FooBarWidget authored
393 Release 2.2.10
394 --------------
395
396 * Fixed some Bundler compatibility problems.
397 * Fixed some file descriptor passing problems, which previously
398 could lead to mysterious crashes.
399 * Fixed some compilation problems on newer GCC versions. Issue #430.
84a4bc0 @FooBarWidget Update NEWS.
FooBarWidget authored
400 * Support #size method in rack.input.
e07dfa0 @FooBarWidget Fix some compilation problems on newer GCC versions. Issue #430.
FooBarWidget authored
401
402
2853379 @FooBarWidget Merge branch 'master' into refactoring
FooBarWidget authored
403
00e0cbc @FooBarWidget Update NEWS.
FooBarWidget authored
404 Release 2.2.9
405 -------------
406
407 * Fixed compatibility with Rails 3.
408 Actually, previous Phusion Passenger releases were already compatible
409 with Rails 3, depending on the spawn method that would be invoked. Here's
410 the story:
411
412 Since Phusion Passenger 2.2.8, when the file config.ru exists, Phusion
413 Passenger will treat the app as a Rack app, not as a Rails app. This is
414 in contrast to earlier versions which gave Rails detection more priority
415 than Rack detection. Phusion Passenger loads Rack apps and Rails apps in
416 different ways. The Rails loader was not compatible with Rails 3, which
417 is what we've fixed in this release.
418
419 That said, a Rails 3 app would have worked out-of-the-box on Phusion
420 Passenger 2.2.8 as well because Rails 3 apps include a config.ru file
421 by default, causing Phusion Passenger 2.2.8 to use the Rack loader.
422 Earlier versions of Phusion Passenger would just completely bail out
423 because they'd use the Rails loader.
424
c674aab @FooBarWidget Document some more Rails 3 caveats.
FooBarWidget authored
425 That said, with 2.2.9 there are still some caveats:
426 - Smart spawning (the mechanism with which REE's 33% memory reduction
427 is implemented) is *not* supported for Rack apps. This means that if
428 you want to utilize smart spawning with Rails 3, then you should
429 remove your config.ru file.
430 - Rails 3 depends on Rack 1.1.0. You must have Rack 1.1.0 installed as
431 a gem, even if you've bundled it with the gem bundler. This is because
432 Phusion Passenger itself depends on Rack.
433
434 Both of these caveats are temporary. We have plans to solve both of these
435 properly in the future.
4a0e6ab @FooBarWidget Document what's up with gem bundler compatibility.
FooBarWidget authored
436 * What's up with the Gem Bundler?
437 There has been some reports that Phusion Passenger is not compatible with
438 Yehuda Katz's gem bundler (http://github.com/wycats/bundler). This might
439 have been true for an earlier version of the gem bundler, but the latest
440 version seems to work fine. Please note that you need to insert the
441 following snippet in config/preinitializer.rb, as instructed by the gem
442 bundler's README:
443
444 require "#{RAILS_ROOT}/vendor/gems/environment"
445
446 The Rails::Boot monkey patching code as posted at
447 http://yehudakatz.com/2009/11/03/using-the-new-gem-bundler-today/
448 does not seem to be required anymore.
97db507 @FooBarWidget Afer forking, correctly clear ActiveRecord connections other than the…
FooBarWidget authored
449 * Fixed support for ActiveRecord subclasses that connect to another database.
450 ActiveRecord subclasses that connect to a database other than the default
451 one did not have their connection correctly cleared after forking.
452 This can result in weird errors along the lines of "Lost connection to
453 MySQL server during query". Issue #429.
00e0cbc @FooBarWidget Update NEWS.
FooBarWidget authored
454 * [Nginx] Fixed PCRE URL.
455 passenger-install-nginx-module downloads PCRE 7.8 if PCRE is not already
456 installed. However PCRE 7.8 has been removed from their FTP server,
457 so we've updated the URL to point to the latest version, 8.0.
458
459
adad4c6 @FooBarWidget Add OpenSSL as required dependency for Nginx (fixes issue #422). Upda…
FooBarWidget authored
460 Release 2.2.8
461 -------------
462
463 * [Nginx] Fixed some signal handling problems.
464 Restarting Nginx on OS X with SIGHUP can sometimes take a long time or
465 even fail completely. This is because of some signal handling problems,
466 which have now been fixed.
467 * [Nginx] Added OpenSSL as dependency.
468 OpenSSL is required in order to install Nginx, but this was not checked
469 by passenger-install-nginx-module. As a result,
470 passenger-install-nginx-module fails on e.g. out-of-the-box Ubuntu
471 installations until the user manually installs OpenSSL. Issue #422.
fd82697 @loe Ensure the current URI subject to internal redirects and rewrites is …
loe authored
472 * [Nginx] Fixed support for internal redirects and subrequests.
473 It is now possible to, for example, point X-Accel-Redirects to Phusion
474 Passenger-served URLs. Patch contributed by W. Andrew Loe III: issue #433.
247a254 @FooBarWidget Fixed crash caused by GnuTLS: issue #391.
FooBarWidget authored
475 * [Apache] Fixed a GnuTLS compatibility issue.
476 mod_gnutls can cause Phusion Passenger to crash because of an unchecked
477 NULL pointer. This problem has now been fixed: issue #391.
78beaf7 @FooBarWidget Fix thread creation on Intel Itanium. Fixes issue #427.
FooBarWidget authored
478 * Fixed thread creation issue on Intel Itanium platforms.
479 This fixes issue #427.
4880487 @FooBarWidget Fixed compilation problems on Linux running on the Renesas SH4 CPU: i…
FooBarWidget authored
480 * Fixed compilation problems on Linux running on the Renesas SH4 CPU.
481 Patch contributed by iwamatsu: issue #428.
681c216 @FooBarWidget Unvendor Rack and add a workaround for the Ruby 1.9.1 tempfile bug. F…
FooBarWidget authored
482 * The Rack library has been unvendored.
483 The original reason for vendoring was to work around broken Rails
484 applications that explicitly specify Rack as a gem dependency. We've
485 found a better workaround that does not require vendoring Rack.
1a8408f @FooBarWidget Update NEWS.
FooBarWidget authored
486 This also fixes a compatibility problem with Rails 3, because Rails
487 3 depends on a newer Rack version than the one we had vendored.
681c216 @FooBarWidget Unvendor Rack and add a workaround for the Ruby 1.9.1 tempfile bug. F…
FooBarWidget authored
488 Issue #432.
489 * Fixed compatibility with Ruby 1.9.1 patchlevel >= 152
490 Ruby 1.9.1 patchlevel >= 152 has a bug in its tempfile library. If you've
491 seen an error message along the lines of
492
493 *** Exception IOError in Passenger RequestHandler (closed stream)
494
495 then this is a Ruby bug at work. This bug has been fixed in Ruby 1.9.2,
496 but Ruby 1.9.1 still contains this bug. We've added a workaround so that
497 the bug is not triggered with this Ruby version. Issue #432.
adad4c6 @FooBarWidget Add OpenSSL as required dependency for Nginx (fixes issue #422). Upda…
FooBarWidget authored
498
499
979bf12 @FooBarWidget Oops, remove debugging code.
FooBarWidget authored
500 Release 2.2.7
501 -------------
502
503 * Removed forgotten debugging code in passenger-install-apache2-module,
504 which caused it not to compile anything.
505
506
5f3ac2b @FooBarWidget Fix compilation on Solaris: PTHREAD_STACK_MIN might not be a constant…
FooBarWidget authored
507 Release 2.2.6
508 -------------
509
5372bdb @FooBarWidget Prevent the Phusion Passenger temp dir from being deleted by /tmp cle…
FooBarWidget authored
510 * Some /tmp cleaner programs such as tmpwatch try to remove subdirectories
511 in /tmp/passenger.xxx after a while because they think those
512 subdirectories are unused. This could cause Phusion Passenger to
513 malfunction, requiring a web server restart. Measures have now been
514 taken to prevent those tmp cleaner programs from removing anything
515 in /tmp/passenger.xxx. Issue #365.
6418797 @FooBarWidget Update NEWS, bump version number to 2.2.6.
FooBarWidget authored
516 * When autodetecting the application type, Rack is now given more priority
517 than Rails. This allows one to drop a config.ru file in a Rails directory
518 and have it detected as a Rack application instead of a Rails application.
519 Patch contributed by Sam Pohlenz: issue #338.
053150e @FooBarWidget Increase default socket backlog to 1024, SOMAXCONN is usually 128 whi…
FooBarWidget authored
520 * The default socket backlog has been increased from 'SOMAXCONN' (which
521 is 128 on most platforms) to 1024. This should fix most
522 'helper_server.sock failed: Resource temporarily unavailable'
523 errors.
6418797 @FooBarWidget Update NEWS, bump version number to 2.2.6.
FooBarWidget authored
524 * Fixed compilation problems on Solaris. Issue #369 and issue #379.
525 * Fixed crashes on PowerPC.
9444db6 @FooBarWidget Fix a Ruby 1.9 compatibility issue: require stringio in utils.rb. Fix…
FooBarWidget authored
526 * Some Ruby 1.9 compatibility fixes. Issue #398.
5967ed7 @FooBarWidget Autodetect Mandriva Linux. Fixes issue #357.
FooBarWidget authored
527 * The installer now displays correct dependency installation instructions
528 for Mandriva Linux.
50750b1 @FooBarWidget Allow specifying the location of apxs2 and apr-config through command…
FooBarWidget authored
529 * [Apache] The location of the 'apxs' and 'apr-config' commands can now
530 also be passed to the installer through the --apxs-path and
531 --apr-config-path parameters, in addition to the $APXS2 and $APR_CONFIG
532 environment variables. Issue #3.
6418797 @FooBarWidget Update NEWS, bump version number to 2.2.6.
FooBarWidget authored
533 * [Nginx] Various problems that only occur on 64-bit platforms have been fixed.
1f4d88b @FooBarWidget Update NEWS.
FooBarWidget authored
534 * [Nginx] The installer now installs Nginx 0.7.64 by default.
5f3ac2b @FooBarWidget Fix compilation on Solaris: PTHREAD_STACK_MIN might not be a constant…
FooBarWidget authored
535
536
7215630 @FooBarWidget Write some release notes.
FooBarWidget authored
537 Release 2.2.5
538 -------------
539
24cc3fa @FooBarWidget Continue writing release notes
FooBarWidget authored
540 * [Apache] Small file uploads are now buffered; fixes potential DoS attack
e66494d @FooBarWidget Update NEWS
FooBarWidget authored
541 Phusion Passenger buffers large file uploads to temp files so that it
24cc3fa @FooBarWidget Continue writing release notes
FooBarWidget authored
542 doesn't block applications while an upload is in progress, but it sent
543 small uploads directly to the application without buffering it. This could
544 result in a potential DoS attack: the client can send many small, incomplete
545 file uploads to the server, and this would block all application processes
546 until a timeout occurs. In order to solve this problem, Phusion Passenger
e66494d @FooBarWidget Update NEWS
FooBarWidget authored
547 now buffers small file uploads in memory. Bug #356.
24cc3fa @FooBarWidget Continue writing release notes
FooBarWidget authored
548
caa9fd7 @FooBarWidget Fix support for mod_rewrite passthrough rules (issue #230) and fix so…
FooBarWidget authored
549 * [Apache] Fixed support for mod_rewrite passthrough rules
e66494d @FooBarWidget Update NEWS
FooBarWidget authored
550 Mod_rewrite passthrough rules were not properly supported because of a bug
caa9fd7 @FooBarWidget Fix support for mod_rewrite passthrough rules (issue #230) and fix so…
FooBarWidget authored
551 fix for supporting encoded slashes (%2f) in URLs. Unfortunately, due to
552 bugs/limitations in Apache, we can support either encoded slashes or
553 mod_rewrite passthrough rules, but not both; supporting one will break the
554 other.
555
556 Support for mod_rewrite passthrough rules is now enabled by default; that
557 is, support for encoded slashes is disabled by default. A new configuration
558 option, "PassengerAllowEncodedSlashes", has been added. Turning this option
559 on will enable support for encoded slashes and disable support for
560 mod_rewrite passthrough rules.
561
562 Issue #113 and issue #230.
563
e66494d @FooBarWidget Update NEWS
FooBarWidget authored
564 * [Apache] Added a configuration option for resolving symlinks in the document root path
565 Phusion Passenger 2.2.0 and higher no longer resolves symlinks in
24cc3fa @FooBarWidget Continue writing release notes
FooBarWidget authored
566 the document root path in order to properly support Capistrano-style
567 directory structures. The exact behavior is documented in the Users Guide,
568 section "How Phusion Passenger detects whether a virtual host is a web
569 application".
570
571 However, some people relied on the old behavior. A new configuration option,
572 PassengerResolveSymlinksInDocumentRoot, has been added to allow reverting
573 back to the old behavior.
574
281c020 @FooBarWidget Update NEWS
FooBarWidget authored
575 Patch contributed by Locaweb (http://www.locaweb.com.br/).
576
24cc3fa @FooBarWidget Continue writing release notes
FooBarWidget authored
577 * [Apache] mod_env variables are now also passed through CGI environment headers
578 Prior to version 2.2.3, environment variables set by mod_env are passed to
579 the application as CGI environment headers, not through Ruby's ENV variable.
580 In the last release we introduced support for setting ENV environment
581 variables with mod_env, and got rid of the code for setting CGI environment
582 headers. It turns out that some people relied on the old behavior, we so now
583 environment variables set with mod_env are set in both ENV and in the CGI
584 environment.
585
586 Fixes bug #335.
587
588 * [Apache] Fixed compilation problems on some Linux systems with older versions of Apache
589 If you used to see compilation errors like this:
590
591 ext/apache2/Configuration.cpp:554: error: expected primary-expression before '.' token
592
593 then this version should compile properly.
594
e66494d @FooBarWidget Update NEWS
FooBarWidget authored
595 * [Apache] Fixed I/O timeouts for communication with backend processes
596 Got rid of the code for enforcing I/O timeouts when reading from or writing to
7ec85d7 @FooBarWidget Update release notes
FooBarWidget authored
597 a backend process. This caused more problems than it solved.
598
7215630 @FooBarWidget Write some release notes.
FooBarWidget authored
599 * [Nginx] Support for streaming responses (e.g. Comet or HTTP push)
600 Buffering of backend responses is now disabled. This fixes support for
601 streaming responses, something which the Apache version has supported
602 for a while now. One can generate streaming responses in Ruby on Rails
603 like this:
604
605 render :text => lambda { |response, output|
606 10_000.times do |i|
607 output.write("hello #{i}!\n")
608 end
609 }
610
41160df @FooBarWidget Nginx installer: install 0.7.61 by default.
FooBarWidget authored
611 * [Nginx] Installer now installs Nginx 0.7.61 by default
612 Previously it installed 0.6.37 by default.
613
9e62b29 @FooBarWidget passenger-install-nginx-module: correctly pass --extra-configure-flag…
FooBarWidget authored
614 * [Nginx] Fixed the installer's --extra-configure-flags flag when combined with --auto-download
615 Arguments passed to --extra-configure-flags were not being passed to the
616 Nginx configure script when --auto-download is given. This has been
617 fixed: bug #349.
618
9ff0e2a @FooBarWidget passenger-install-apache2-module: do not unnecessarily donwload PCRE;…
FooBarWidget authored
619 * [Nginx] Fixed unnecessary download of PCRE
620 The installer now checks whether PCRE is installed in /opt/local (e.g.
621 MacPorts) as well before concluding that it isn't installed and going ahead
622 with downloading PCRE.
623
7215630 @FooBarWidget Write some release notes.
FooBarWidget authored
624 * Fixed STDERR capturing
625 While spawning an application, Phusion Passenger captures any output written
626 to STDERR so that it can show them later if the application failed to start.
627 This turns out to be much more difficult than expected, with all kinds of
628 corner cases that can mess up this feature.
24cc3fa @FooBarWidget Continue writing release notes
FooBarWidget authored
629
7215630 @FooBarWidget Write some release notes.
FooBarWidget authored
630 For example, if the Rails log file is not writable, then this can cause
631 Rails to crash with a bizarre and unhelpful error message whenever it tries
632 to write to STDERR:
633
634 /!\ FAILSAFE /!\ Thu Aug 20 14:58:39 +1000 2009
635 Status: 500 Internal Server Error
636 undefined method `[]' for nil:NilClass
637
638 Some applications reopen STDERR to a log file. This didn't work.
639
640 Of all of these problems have been fixed now. (Bug #332)
641
24cc3fa @FooBarWidget Continue writing release notes
FooBarWidget authored
642 * Fixed some bugs in application sources preloading
643 Rails >= 2.2 already preloads the application sources, in which case Phusion
644 Passenger wasn't supposed to perform it's own preloading, but the Rails
645 >= 2.2 detection code was bugged. This has been fixed.
7215630 @FooBarWidget Write some release notes.
FooBarWidget authored
646
24cc3fa @FooBarWidget Continue writing release notes
FooBarWidget authored
647 Rails < 2.2 doesn't preload the application sources by itself, but there
648 should be a certain order with which the sources are preloaded, otherwise
649 preloading could fail in some applications. We now enforce a specific load
650 order: first models, then controllers, then helpers.
c878017 @FooBarWidget Fix compilation problems with some Linux systems with older versions …
FooBarWidget authored
651
24cc3fa @FooBarWidget Continue writing release notes
FooBarWidget authored
652 Bug #359.
653
caa9fd7 @FooBarWidget Fix support for mod_rewrite passthrough rules (issue #230) and fix so…
FooBarWidget authored
654 * Fixed a few bugs in WSGI compliance
655 PATH_INFO is supposed to be set to the request URI, but without the query
656 string and without the base URI. This has been fixed: bug #360.
657
ac777e5 @FooBarWidget Fix some Ruby 1.9-specific crashes caused by encoding issues. Bug #364.
FooBarWidget authored
658 * Fixed some Ruby 1.9-specific crashes caused by encoding issues. Bug #354.
281c020 @FooBarWidget Update NEWS
FooBarWidget authored
659 * Fixed loading of config/environment.rb on Ruby 1.9.2, because Ruby 1.9.2
660 no longer has "." in the default load path. Patch by metaljastix, issue #368.
24cc3fa @FooBarWidget Continue writing release notes
FooBarWidget authored
661 * The Users Guide for Apache now mentions something about correct permissions
662 for application directories.
7215630 @FooBarWidget Write some release notes.
FooBarWidget authored
663 * Fixed compilation problems on IA-64 (bug #118). We also reduced the stack
664 sizes for the threads by half, so Phusion Passenger should use even less
665 virtual memory now.
312b5e1 @FooBarWidget Fix compilation problems on Linux systems with ARM CPU.
FooBarWidget authored
666 * Fixed compilation problems on Linux systems with ARM CPU.
7215630 @FooBarWidget Write some release notes.
FooBarWidget authored
667 * Fixed a few compatibility problems with 64-bit OpenBSD.
668 * Fixed a few typos and minor bugs.
669
670
671 Older releases
672 --------------
9e15dbd @FooBarWidget Begin porting passenger-status to the new infrastructure.
FooBarWidget authored
673 Please consult the blog posts on http://blog.phusion.nl/ for the information about older releases.
Something went wrong with that request. Please try again.